Summary: The basic required files for the root user's directory
Name: rootfiles
Version: 8.1
Release: 6%{?dist}
License: Public Domain
URL: https://src.fedoraproject.org/rpms/rootfiles

Source0: dot-bashrc
Source1: dot-bash_profile
Source2: dot-bash_logout
Source3: dot-tcshrc
Source4: dot-cshrc

BuildArch: noarch

%description
The rootfiles package contains basic required files that are placed
in the root user's account.  These files are basically the same
as those in /etc/skel, which are placed in regular
users' home directories.

%prep

%install
mkdir -p $RPM_BUILD_ROOT/root
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT/root/.bashrc
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/root/.bash_profile
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/root/.bash_logout
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT/root/.tcshrc
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT/root/.cshrc

%posttrans
if [ $1 -eq 0 ] ; then
  cp -ndr --preserve=ownership,timestamps /etc/skel/. /root/ || :
fi

%files
%config(noreplace) /root/.bashrc
%config(noreplace) /root/.bash_profile
%config(noreplace) /root/.bash_logout
%config(noreplace) /root/.tcshrc
%config(noreplace) /root/.cshrc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Apr 20 2022 Xun Zhong <victorzhong@tencent.com> - 8.1-1
- Initial build
